Bug 428923 - Should release-note need for "kmod-ipw3945" package on laptops which has Intel's ipw3945 wireless module
Summary: Should release-note need for "kmod-ipw3945" package on laptops which has Inte...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness)   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact: Lawrence Lim
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-16 01:59 UTC by YangKun
Modified: 2014-03-26 00:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 17:38:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description YangKun 2008-01-16 01:59:23 UTC
Description of problem:
In both RHEL5.0 and RHEL5.1, the driver for Intel's ipw3945 wireless module is
included in the "Supplementary" packages, not in the normal release, and thus
will not be installed by default. User need to manually install this extra
package to enable the ipw3945 module. However some vendor don't know they must
install "kmod-ipw3945" after OS installation and before install HTS.

Can we add the dependency in HTS for "kmod-ipw3945" package on laptops which has
Intel's ipw3945 wireless module ? At least we should notify users they need to
manually install this package before performing the NETWORK test.

Comment 1 Greg Nichols 2008-01-16 02:18:36 UTC
Adding such a dependency would mean that all systems would need to install
kmod-ipw3945, which seems like a lot of additional effort for small benefit.

What is the failure shown to the user if the kernel module is missing?  Does the
interface fail to come up?    

Comment 2 YangKun 2008-01-16 02:30:09 UTC
Please check the comments on "2008-01-15" in
https://hardware.redhat.com/show.cgi?id=428137

I think we should notify users somewhere(either in the docs or in HTS) that
extra packages must be installed manually in order to test ipw3945 wireless module.

Comment 3 Greg Nichols 2008-02-21 14:46:23 UTC
Changed summary.

Comment 4 Greg Nichols 2008-09-12 16:42:30 UTC
re-assigning - documentation needed.


Note You need to log in before you can comment on or make changes to this bug.